from openerp import api, models, fields
from num2words import num2words


class WizardSelectInvoice(models.TransientModel):
    _name = 'wizard.select.invoice'

    orden_cobro_id = fields.Many2one('orden.cobro', string="Orden de Cobro", readonly=True)
    invoice_ids = fields.Many2many('account.invoice', string="Facturas")

    @api.model
    def default_get(self, fields_list):
        res = super(WizardSelectInvoice, self).default_get(fields_list)
        orden_id = self.env.context.get('active_id')
        if orden_id:
            res['orden_cobro_id'] = orden_id
        return res

    def action_add_invoices(self):
        for wizard in self:
            orden = wizard.orden_cobro_id
            for factura in wizard.invoice_ids:
                orden.invoice_line_ids.create({
                    'orden_cobro_id': orden.id,
                    'invoice_id': factura.id,
                    'monto_cobrado': factura.residual,
                })
        return {'type': 'ir.actions.act_window_close'}
